Page MenuHomePhabricator

Phabricator diffusion fails markup rendering for large files
Closed, ResolvedPublic

Description

Steps to reproduce

Actual results

  • it is coming up with this error:
>>> UNRECOVERABLE FATAL ERROR <<<

Maximum execution time of 10 seconds exceeded

/srv/phab/libphutil/src/markup/render.php:0


┻━┻ ︵ ¯\_(ツ)_/¯ ︵ ┻━┻

Expected results

  • It should be able to display the file. If syntax highlighting times out it should fallback to no highlighting.

Event Timeline

Paladox created this task.Jan 5 2016, 10:23 AM
Paladox raised the priority of this task from to Needs Triage.
Paladox updated the task description. (Show Details)
Paladox added a subscriber: Paladox.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 5 2016, 10:23 AM
Paladox set Security to None.
Restricted Application added subscribers: Luke081515, scfc. · View Herald TranscriptJan 5 2016, 10:23 AM
hashar renamed this task from Carnt view large files in phabricator diffusion to Phabricator diffusion fails markup rendering for large files.Jan 5 2016, 10:26 AM
hashar triaged this task as Normal priority.
hashar updated the task description. (Show Details)
hashar added a subscriber: hashar.

The poor markup renderer choke on InitialiseSettings.php which is too large.

hashar moved this task from To Triage to Misc on the Phabricator board.Jan 5 2016, 10:27 AM

Yes. Could we have a back for large files to only render them in black colour only if it's goes pass the 10 sec. Gitblit manages to load the file so we should do the same with phabricator.

hashar removed a subscriber: hashar.Jan 5 2016, 12:51 PM
greg updated the task description. (Show Details)Jan 6 2016, 7:01 PM

This is likely fixed in HEAD by 91a01e5.

@epriestley thanks for fixing the problem.

Aklapper closed this task as Resolved.Mar 3 2016, 5:53 PM

This is fixed on our instance - given example link renders for me